detect_compiler_arch.h File Reference

Go to the source code of this file.

## Macros

#define | HWY_IDE 0
#define | HWY_COMPILER_MSVC 0
#define | HWY_COMPILER_CLANGCL 0
#define | HWY_COMPILER_ICC 0
#define | HWY_COMPILER_ICX 0
#define | HWY_COMPILER_GCC 0
#define | HWY_COMPILER_CLANG 0
#define | HWY_COMPILER_GCC_ACTUAL 0
#define | HWY_HAS_BUILTIN(name) 0
#define | HWY_HAS_ATTRIBUTE(name) 0
#define | HWY_HAS_FEATURE(name) 0
#define | HWY_ARCH_X86_32 0
#define | HWY_ARCH_X86_64 0
#define | HWY_ARCH_X86 0
#define | HWY_ARCH_PPC 0
#define | HWY_ARCH_ARM_A64 0
#define | HWY_ARCH_ARM_V7 0
#define | HWY_ARCH_ARM 0
#define | HWY_ARCH_ARM_OLD 0
#define | HWY_ARCH_WASM 0
#define | HWY_ARCH_RVV 0
#define | HWY_OS_WIN 0
#define | HWY_OS_LINUX 0

## Macro Definition Documentation

## HWY_ARCH_ARM

#define HWY_ARCH_ARM 0

## HWY_ARCH_ARM_A64

#define HWY_ARCH_ARM_A64 0

## HWY_ARCH_ARM_OLD

#define HWY_ARCH_ARM_OLD 0

## HWY_ARCH_ARM_V7

#define HWY_ARCH_ARM_V7 0

## HWY_ARCH_PPC

#define HWY_ARCH_PPC 0

## HWY_ARCH_RVV

#define HWY_ARCH_RVV 0

## HWY_ARCH_WASM

#define HWY_ARCH_WASM 0

## HWY_ARCH_X86

#define HWY_ARCH_X86 0

## HWY_ARCH_X86_32

#define HWY_ARCH_X86_32 0

## HWY_ARCH_X86_64

#define HWY_ARCH_X86_64 0

## HWY_COMPILER_CLANG

#define HWY_COMPILER_CLANG 0

## HWY_COMPILER_CLANGCL

#define HWY_COMPILER_CLANGCL 0

## HWY_COMPILER_GCC

#define HWY_COMPILER_GCC 0

## HWY_COMPILER_GCC_ACTUAL

#define HWY_COMPILER_GCC_ACTUAL 0

## HWY_COMPILER_ICC

#define HWY_COMPILER_ICC 0

## HWY_COMPILER_ICX

#define HWY_COMPILER_ICX 0

## HWY_COMPILER_MSVC

#define HWY_COMPILER_MSVC 0

## HWY_HAS_ATTRIBUTE

#define HWY_HAS_ATTRIBUTE | ( |  | name | ) | 0

## HWY_HAS_BUILTIN

#define HWY_HAS_BUILTIN | ( |  | name | ) | 0

## HWY_HAS_FEATURE

#define HWY_HAS_FEATURE | ( |  | name | ) | 0

## HWY_IDE

#define HWY_IDE 0

## HWY_OS_LINUX

#define HWY_OS_LINUX 0

## HWY_OS_WIN

#define HWY_OS_WIN 0